<?
### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
######################################################################################################################

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
  define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
  session_start();
  header( 'Content-type: text/html; charset=windows-1251' );
  include_once ROOT_DIR . '/engine/config.php';
  include_once ROOT_DIR . '/engine/function.php';
} else {
  if ( !defined( 'MISOFT' ) ) { exit(); }
}

if ( !isset( $_SESSION['iduser'] ) ) {
  echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
	<button type="button" class="close" data-dismiss="alert" aria-label="Close">
		<span aria-hidden="true">&times;</span>
	</button>
	<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
	<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
	<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
  </div>';
} else {

  include_once ROOT_DIR . '/modules/panel_manager/section_advertising_manager.php';
  ?>

  <div class="content_bar">
	<article class="postBox">

	  <div class="mlink">
		<?
		  $proverka = mysql_query( "SELECT * FROM autodynlink WHERE iduser = '" . $_SESSION['iduser'] . "' ORDER BY id DESC" );
		
		  if ( mysql_num_rows( $proverka ) == 0 ) {
		    ?>
			  <div class="control_panel_icon">&nbsp;</div>
			  <div class="infotext control_panel_text" >Здесь находяться Ваши рекламные площадки. Вы можете удалять, редактировать, пополнять баланс, просматривать статистику. Вы всегда сможете проконтролировать баланс, любой рекламной площадки.</div>
			  <br/><br/>
			  <div class="alert alert-warning" role="alert" >
			    <i class="fa fa-folder-open-o" aria-hidden="true"></i> Внимание! У вас еще нет рекламной площадки в этом разделе! <a href="/addautodyn" class="a_box" >Разместить рекламу?</a>.
			  </div><br/>
		    <?
		  } else {
		    ?>
			  <script type="text/javascript">
			    $(document).ready(function(){
				  $('.task_good').tipTip({defaultPosition:'right'});
				  $('.img_click').tipTip({defaultPosition:'right'});
				  $('.img_view').tipTip({defaultPosition:'right'});
				  $('.task_bad').tipTip({defaultPosition:'right'});
				  $('.btn_stop').tipTip({defaultPosition:'right'});
				  $('.btn_run').tipTip({defaultPosition:'right'});
				  $('.title_con').tipTip({defaultPosition:'right'});
				  $('.adv_stat_button').tipTip({defaultPosition:'right'});
				  $('#title_con_drive').tipTip({defaultPosition:'right'});
			    });
			
			    function showbasket(tid) {
				  $('body').Qbox({
				    'title': 'Пополнение баланса рекламной площадки №' + tid,
				    'width': 500,
					'minHeight': 200,
					'fadespeed': 300,
				    'url': 'modules/autodynlink/addbasket.php',
				    'param': 'id='+tid
				  });
				  return false;
			    }
			
			    function showStatSerf(e) {
				  $('body').Qbox({
				    'title': 'Статистика посещений за последнию неделю',
				    'width': 530,
					'height': 315,
					'fadespeed': 300,
				    'url': 'modules/autodynlink/statistic.php',
				    'param': 'id='+e
			      });
			    }
			  </script>
			  <div class="control_panel_icon">&nbsp;</div>
			  <div class="infotext control_panel_text" >Здесь находяться Ваши рекламные площадки. Вы можете удалять, редактировать, пополнять баланс, просматривать статистику. Вы всегда сможете проконтролировать баланс, любой рекламной площадки.</div>
			  <br/>
			  <?
				while( $sql_row = mysql_fetch_array( $proverka ) ) {
				  if ( $sql_row['paused'] == 0 ) {
					$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_run" title="Нажмите что бы запустить задание">пуск</a>';
				  } else {
					$btn_ps = '<a href="#" onclick="run' . $sql_row['id'] . '(' . $sql_row['id'] . ');return false;" class="btn_stop" title="Нажмите что бы остановить задание">стоп</a>';
				  }
				
				  switch ( $sql_row['timer'] ) {
					case 0: $timer = 'autodyn10'; $timer_title = '10 секунд'; break;
					case 1: $timer = 'autodyn20'; $timer_title = '20 секунд'; break;
					case 2: $timer = 'autodyn30'; $timer_title = '30 секунд'; break;
					case 3: $timer = 'autodyn40'; $timer_title = '40 секунд'; break;
					case 4: $timer = 'autodyn50'; $timer_title = '50 секунд'; break;
					case 5: $timer = 'autodyn60'; $timer_title = '60 секунд'; break;
				  }
				
				  $b1 = explode( '.', $sql_row['balance'] );
				
				  ?>
					<script type="text/javascript">
					  function run<?=$sql_row['id']?>(tid) {
						$.post('ajax.php?func=runautodyn', {
						  id: tid
						}, function(data){
						  if(data == 1) {
							Page.Go('mautodyn');
						  } else {
							$('.error<?=$sql_row['id']?>').fadeIn().html(data);
							setTimeout(function() {
							  $('.error<?=$sql_row['id']?>').fadeOut().html('&nbsp;');
							}, 4000);
						  }
						});
						return false;
					  }
					
					  $(document).ready(function(){
						$('#title_con<?=$sql_row['id']?>').tipTip({defaultPosition:'right'});
					  });
					</script>
					<table class="tabreclama">
					  <tr>
						<td style="width: 50px; text-align: center;">
						  <?=$btn_ps?>
						</td>
						<td>
						  <div style="position: relative;" class="tabpos">
							<a href="<?=$sql_row['url']?>" target="_blank" class="a_control"><?=$sql_row['title']?></a><br /><!--div style="color: #777777;"><?=$sql_row['description']?></div-->
							  <div class="task_stroka">
							  <span class="a_control">№<?=$sql_row['id']?></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							  <span title="Цена одного посещения вашего сайта, с учетом комисии системы" class="img_click">Цена: <?=$config[$timer]?>&nbsp;<?=$config['valutaname']?></span>&nbsp;&nbsp;&nbsp;
							  <span title="Выполнено посещений" style="margin-left: -15px;" class="task_good"><?=$sql_row['visits']?></span>
							  <span title="Таймер (длительность просмотра вашего сайта в фрейме)" class="img_view"><?=$timer_title?></span>
							</div>
							<div class="task_button">
							  <a href="/autodynedit=<?=$sql_row['id']?>" class="control_edit" id="medit<?=$sql_row['id']?>" ><span class="con_edit">&nbsp;</span>Редактировать</a>
							  
							  <a href="#" onclick="adv.Remove_advertising(<?=$sql_row['id']?>, 'autoserf');return false;" class="control_del" id="mdel<?=$sql_row['id']?>" ><span class="con_del">&nbsp;</span>Удалить</a>
							  
							  <a href="#" onclick="showStatSerf(<?=$sql_row['id']?>);" class="maddm"  ><span class="con_stat">&nbsp;</span>Статистика</a>
							  
							</div>
							<div class="error<?=$sql_row['id']?> error" ></div>
						  </div>
						</td>
						<td >
						  <div class="control_bal_fix" style="margin-right: -7px;">
							<div class="control_bal_fix1" >
							  <span class="reklam_balans" >&nbsp;</span>
							  <div class="reklam_balans_fix" >
								<font id="title_con<?=$sql_row['id']?>" title="Текущий баланс рекламной кампании">
								  <?=$b1[0]?>.<span style="font-size:11px"><?=$b1[1]?></span>
								</font>
							  </div>
							</div>
							<a href="#" onclick="showbasket(<?=$sql_row['id']?>); return false;" class="add_pay_control" id="btn_link_money">пополнить</a>
						  </div>
						</td>
					  </tr>
					</table>
				  <?
				}
		  }
	    ?>
	  </div>
	</article>
  </div>
  <? 
} 
?>